Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.maildiver.com/v1/domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.maildiver.com/v1/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.maildiver.com/v1/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domains": [
{
"id": "0195a927-b706-725a-94dd-372770d920f2",
"name": "onboarding.maildiver.com",
"verified_for_sending_status": true,
"verification_info": {
"last_checked_timestamp": "2025-03-25T11:16:20.217Z",
"last_success_timestamp": "2025-03-25T11:16:20.499Z",
"error_type": "HOST_NOT_FOUND",
"soa_record": {}
},
"public_key": "MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQC7Zdux3HKFr8FkO6S0E5PKtY2KaAk8iqwKmw3ak9KwvwYExYLmguKGCqQb0jHshR/z1i9DEcSV+3rKoLL3R3Rn7A+Ua0zfJoFwOoOVwSGe9CgZ4geAzuSfo1wNSmaJzbtYZ1dOqSV0sbp8lKCeiLO5eDRIBVMcbULcVJA+/dAQfQIDAQAB",
"status": "SUCCESS",
"dns_records": [
{
"name": "dkim._domainkey.onboarding",
"for": "DKIM",
"type": "TXT",
"value": "p=MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQC7Zdux3HKFr8FkO6S0E5PKtY2KaAk8iqwKmw3ak9KwvwYExYLmguKGCqQb0jHshR/z1i9DEcSV+3rKoLL3R3Rn7A+Ua0zfJoFwOoOVwSGe9CgZ4geAzuSfo1wNSmaJzbtYZ1dOqSV0sbp8lKCeiLO5eDRIBVMcbULcVJA+/dAQfQIDAQAB",
"required": true
},
{
"name": "send.onboarding",
"for": "MAIL FROM domain",
"type": "MX",
"priority": 10,
"value": "feedback-smtp.eu-central-1.amazonses.com",
"required": true
},
{
"name": "send.onboarding",
"for": "MAIL FROM domain",
"type": "TXT",
"value": "\"v=spf1 include:amazonses.com ~all\"",
"required": true
},
{
"name": "_dmarc.onboarding",
"for": "DMARC (highly recommended)",
"type": "TXT",
"value": "v=DMARC1; p=none;",
"required": false
}
],
"created": 1742299707142,
"is_warmed_up": false,
"warmed_up_at": null,
"created_by": {
"email": "admin@company.com",
"first_name": null,
"last_name": null,
"profile_picture": "https://cdn.company.com/profiles/admin-avatar.jpg"
}
}
],
"count": 4,
"cursor": null
}{
"message": "<string>"
}Endpoint: v1/domains
List all domains associated with your account.
API key with format "Bearer {your-api-key}"
Pagination cursor. The cursor will always be returned in the response:
OK
Was this page helpful?